package com.rjconsultores.ventaboletos.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.TipoIdentificacionDAO;
import com.rjconsultores.ventaboletos.entidad.TipoIdentificacion;
import com.rjconsultores.ventaboletos.service.TipoIdentificacionService;

@Service("tipoIdentificacionService")
public class TipoIdentificacionServiceImpl implements TipoIdentificacionService {
	
	@Autowired
	private TipoIdentificacionDAO tipoIdentificacionDAO;

	@Override
	public List<TipoIdentificacion> obtenerTodos() {
		return tipoIdentificacionDAO.obtenerTodos();
	}

	@Override
	public TipoIdentificacion obtenerID(Integer id) {
		return tipoIdentificacionDAO.obtenerID(id);
	}

	@Override
	@Transactional
	public TipoIdentificacion suscribir(TipoIdentificacion tipoDocumento) {
		return tipoIdentificacionDAO.suscribir(tipoDocumento);
	}

	@Override
	@Transactional
	public void borrar(TipoIdentificacion tipoDocumento) {
		tipoIdentificacionDAO.borrar(tipoDocumento);
		
	}

	@Override
	@Transactional
	public TipoIdentificacion actualizacion(TipoIdentificacion tipoDocumento) {
		return tipoIdentificacionDAO.actualizacion(tipoDocumento);
	}

	@Override
	public TipoIdentificacion buscarPorNome(String descTipoDoc) {
		return tipoIdentificacionDAO.buscarPorNome(descTipoDoc);
	}

}
